Package com.enonic.xp.query.aggregation

## Class DateRangeAggregationQuery.Builder

- java.lang.Object
- - com.enonic.xp.query.aggregation.AggregationQuery.Builder<BucketAggregationQuery.Builder>
  - - com.enonic.xp.query.aggregation.BucketAggregationQuery.Builder<AbstractRangeAggregationQuery.Builder>
    - - com.enonic.xp.query.aggregation.AbstractRangeAggregationQuery.Builder<DateRangeAggregationQuery.Builder,​DateRange>
      - - com.enonic.xp.query.aggregation.DateRangeAggregationQuery.Builder

- Enclosing class:
    DateRangeAggregationQuery

      public static class DateRangeAggregationQuery.Builder
      extends AbstractRangeAggregationQuery.Builder<DateRangeAggregationQuery.Builder,​DateRange>

- - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.query.aggregation.AbstractRangeAggregationQuery.Builder

      `ranges`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder​(String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DateRangeAggregationQuery` | `build()` |
    `DateRangeAggregationQuery.Builder` | `format​(String format)` |

    - ### Methods inherited from class com.enonic.xp.query.aggregation.AbstractRangeAggregationQuery.Builder

      `addRange, fieldName, setRanges`

    - ### Methods inherited from class com.enonic.xp.query.aggregation.BucketAggregationQuery.Builder

      `addSubQueries, addSubQuery`

    - ### Methods inherited from class com.enonic.xp.query.aggregation.AggregationQuery.Builder

      `name`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(String name)

  - ### Method Detail

    - #### format

          public DateRangeAggregationQuery.Builder format​(String format)

    - #### build

          public DateRangeAggregationQuery build()